Name:           munipack
Version:        2.1.21
Release:        %mkrel 6
Summary:        An astrophotometry software package
License:        GPLv2+
Group:          Sciences/Astronomy

URL:            http://c-munipack.sourceforge.net/
Source0:        http://dl.sf.net/%{name}/c%{name}-%{version}.tar.gz
Source1:        muniwin.desktop

Patch0:         cmunipack-2.1.7-autotools.patch
Patch1:         munipack-2.1.16-gstreamer.patch

BuildRequires:  sed
BuildRequires:  pkgconfig(wcslib)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  desktop-file-utils
BuildRequires:  gstreamer1.0-devel

Provides:       cmunipack = %{version}-%{release}

%description
The C-Munipack is an astrophotometry software package,
which offers a complete solution for reduction of images
carried out by CCD camera, intended on a observation of
variable stars. It provides a simple and intuitive graphical
user interface.

%package devel
Summary:        Libraries/include files for cmunipack
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
Libraries/include files for cmunipack

%prep
%setup -q -n c%{name}-%{version}
%autopatch -p1

%build
autoreconf --force --install -Wall
export CFLAGS="-I/usr/include/cfitsio %{optflags}" CXXFLAGS="-I/usr/include/cfitsio %{optflags}"
%configure --enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}%{_datadir}/pixmaps
pushd %{buildroot}%{_datadir}/pixmaps
ln -s ../cmunipack-2.0/icons/muniwin.png .
popd
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc COPYING doc/
%{_bindir}/konve
%{_bindir}/munilist
%{_bindir}/meanbias
%{_bindir}/flatbat
%{_bindir}/helcor
%{_bindir}/muniphot
%{_bindir}/munimatch
%{_bindir}/meandark
%{_bindir}/biasbat
%{_bindir}/airmass
%{_bindir}/timebat
%{_bindir}/autoflat
%{_bindir}/kombine
%{_bindir}/darkbat
%{_bindir}/muniwin
%{_bindir}/munifind
%{_libdir}/libcmunipack*.so.*
%{_datadir}/C-Munipack*/
%{_datadir}/applications/muniwin.desktop
%{_datadir}/pixmaps/muniwin.png
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%files devel
%{_libdir}/libcmunipack*.so
%{_includedir}/cmunipack-2.0/
%{_libdir}/pkgconfig/cmunipack-2.0.pc


%changelog
* Thu Jul 23 2020 daviddavid <daviddavid> 2.1.21-6.mga8
+ Revision: 1608163
- rebuild for new cfitsio 3.480

* Fri Mar 27 2020 daviddavid <daviddavid> 2.1.21-5.mga8
+ Revision: 1560911
- rebuild for new cfitsio 3.470

* Thu Feb 13 2020 umeabot <umeabot> 2.1.21-4.mga8
+ Revision: 1515258
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.1.21-3.mga7
+ Revision: 1299649
- Mageia 7 Mass Rebuild

* Sun May 13 2018 daviddavid <daviddavid> 2.1.21-2.mga7
+ Revision: 1228761
- rebuild for new cfitsio 3.450

* Sat Oct 07 2017 cjw <cjw> 2.1.21-1.mga7
+ Revision: 1170037
- 2.1.21

* Fri Feb 17 2017 cjw <cjw> 2.1.16-1.mga6
+ Revision: 1086539
- 2.1.16
- patch1: use gstreamer1.0

* Thu Dec 15 2016 eatdirt <eatdirt> 2.1.14-1.mga6
+ Revision: 1075406
- Upgrade to latest stable

* Tue Nov 22 2016 eatdirt <eatdirt> 2.1.7-2.mga6
+ Revision: 1068810
- Rebuild for new cfitsio

* Wed Mar 09 2016 eatdirt <eatdirt> 2.1.7-1.mga6
+ Revision: 988631
- Upgrade to version 2.1.7

* Mon Feb 15 2016 umeabot <umeabot> 2.0.11-4.mga6
+ Revision: 961533
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.11-3.mga5
+ Revision: 749106
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.11-2.mga5
+ Revision: 682698
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 eatdirt <eatdirt> 2.0.11-1.mga5
+ Revision: 642998
- Upgrade to version 2.0.11

* Thu Feb 27 2014 eatdirt <eatdirt> 2.0.8-3.mga5
+ Revision: 597693
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 2.0.8-2.mga4
+ Revision: 530644
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 2.0.8-1.mga4
+ Revision: 458650
- spec fixes
- change patch name, update buildrequires
- imported package munipack

